Author: reinhard
Date: 2007-08-06 10:26:36 -0500 (Mon, 06 Aug 2007)
New Revision: 9775
Added:
trunk/gnue-appserver/packaging/debian/gnue-appserver.dirs
trunk/gnue-appserver/packaging/debian/gnue-appserver.init
trunk/gnue-appserver/packaging/debian/gnue-appserver.postinst
Modified:
trunk/gnue-appserver/packaging/debian/
trunk/gnue-appserver/packaging/debian/control
Log:
Updated debian packaging for appserver with an init script.
Property changes on: trunk/gnue-appserver/packaging/debian
___________________________________________________________________
Name: svn:ignore
- files
*debhelper
gnue-*
*substvars
Modified: trunk/gnue-appserver/packaging/debian/control
===================================================================
--- trunk/gnue-appserver/packaging/debian/control 2007-08-06 09:47:18 UTC (rev 9774)
+++ trunk/gnue-appserver/packaging/debian/control 2007-08-06 15:26:36 UTC (rev 9775)
@@ -3,8 +3,6 @@
Priority: optional
Maintainer: Andrew Mitchell <[email protected]>
Build-Depends-Indep: debhelper (>= 4.1.25), cdbs (>= 0.4.43), python-all-dev, python-support (>= 0.5.3), gnue-common (>= 0.6.8)
-Conflicts: geas
-Replaces: geas
Standards-Version: 3.6.1
Package: gnue-appserver
Added: trunk/gnue-appserver/packaging/debian/gnue-appserver.dirs
===================================================================
--- trunk/gnue-appserver/packaging/debian/gnue-appserver.dirs 2007-08-06 09:47:18 UTC (rev 9774)
+++ trunk/gnue-appserver/packaging/debian/gnue-appserver.dirs 2007-08-06 15:26:36 UTC (rev 9775)
@@ -0,0 +1 @@
+var/run/gnue
Added: trunk/gnue-appserver/packaging/debian/gnue-appserver.init
===================================================================
--- trunk/gnue-appserver/packaging/debian/gnue-appserver.init 2007-08-06 09:47:18 UTC (rev 9774)
+++ trunk/gnue-appserver/packaging/debian/gnue-appserver.init 2007-08-06 15:26:36 UTC (rev 9775)
@@ -0,0 +1,117 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: gnue-appserver
+# Required-Start: $local_fs $remote_fs
+# Required-Stop: $local_fs $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: GNUe AppServer
+# Description: GNU Enterprise Application Server
+### END INIT INFO
+
+# Author: GNU Enterprise Team ([email protected])
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="GNU Enterprise Applicataion Server"
+NAME=gnue-appserver
+DAEMON=/usr/bin/$NAME
+DAEMON_ARGS="--silent"
+PIDFILE=/var/run/gnue/appserver.pid
+SCRIPTNAME=/etc/init.d/$NAME
+USER=daemon
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+ start-stop-daemon --start --quiet --user $USER --pidfile $PIDFILE \
+ --startas $DAEMON --test > /dev/null || return 1
+ start-stop-daemon --start --quiet --chuid $USER --pidfile $PIDFILE \
+ --startas $DAEMON -- $DAEMON_ARGS || return 2
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 \
+ --user $USER --pidfile $PIDFILE
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+ # Many daemons don't delete their pidfiles when they exit.
+ rm -f $PIDFILE
+ return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+ start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE
+ return 0
+}
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ reload|force-reload)
+ log_daemon_msg "Reloading $DESC" "$NAME"
+ do_reload
+ log_end_msg $?
+ ;;
+ restart)
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ exit 3
+ ;;
+esac
Property changes on: trunk/gnue-appserver/packaging/debian/gnue-appserver.init
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/gnue-appserver/packaging/debian/gnue-appserver.postinst
===================================================================
--- trunk/gnue-appserver/packaging/debian/gnue-appserver.postinst 2007-08-06 09:47:18 UTC (rev 9774)
+++ trunk/gnue-appserver/packaging/debian/gnue-appserver.postinst 2007-08-06 15:26:36 UTC (rev 9775)
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Make sure /var/run/gnue is owned by daemon.daemon
+# FIXME: There is almost certainly a better way to do this.
+chown daemon.daemon /var/run/gnue
+
+# This is exactly the same thing as debhelper would add anyway, but debhelper
+# adds it in the wrong order :-(
+
+if [ "$1" = "configure" ] && which update-python-modules >/dev/null 2>&1; then
+ update-python-modules -i /usr/share/python-support/gnue-appserver
+fi
+
+if [ -x "/etc/init.d/gnue-appserver" ]; then
+ update-rc.d gnue-appserver defaults >/dev/null
+ if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+ invoke-rc.d gnue-appserver start || exit $?
+ else
+ /etc/init.d/gnue-appserver start || exit $?
+ fi
+fi
Property changes on: trunk/gnue-appserver/packaging/debian/gnue-appserver.postinst
___________________________________________________________________
Name: svn:executable
+ *
lmpx.com only provides a reader for public news (NNTP) servers. It is not
affiliated with the servers or forums shown here and is not responsible for
the content of articles, which is written by their respective authors.